%define		perlversion	5.10.0
%define		perlepoch	3
%define		perlname	ExtUtils-Autoconf

Distribution:	CCux
Packager:	Karsten Brockmann <arcam@ccux-linux.de>

Summary:	Perl ExtUtils-Autoconf Module
Name:		perl-%{perlname}
Version:	0.02
Release:	2
Group:		Development/Perl
License:	GNU/GPL
URL:		http://search.cpan.org/search?module=ExtUtils+Autoconf
Source:		%{perlname}-%{version}.tar.gz
BuildRoot:	/var/tmp/%{name}-%{version}-buildroot

Requires:	perl = %{perlepoch}:%{perlversion}
BuildRequires:	perl = %{perlepoch}:%{perlversion}
BuildRequires:  perl-File-Which

%description
ExtUtils::Autoconf is a thin wrapper around GNU autoconf/autoheader which allows
to run those tools easily from perl. This allows using autoconf for configuring perl modules and especially extensions in a portable way without messing around 
with the compilation of C code from perl.

%prep
%setup -q -n %{perlname}-%{version}

%build
perl Makefile.PL %_prefix
make

%install
rm -Rf %{buildroot}
make install DESTDIR=%{buildroot}
# removing unwanted stuff
if [ -f %{buildroot}%_libdir/perl5/%{perlversion}/*/perllocal.pod ]; then
	rm -f %{buildroot}%_libdir/perl5/%{perlversion}/*/perllocal.pod
fi
# stripping package
find %{buildroot} -type f -exec /usr/bin/strip --strip-debug '{}' ';'

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README 
%_libdir
%_mandir

%changelog
* Tue Jan 01 2008 Stefan Gottwald <gotti@ccux-linux.de> 0.02-2
- Rebuild against perl 5.10.0
* Sat Oct 28 2006 Karsten Brockmann <arcam@ccux-linux.de> 0.02-1
- Initial Build
